Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.renderkit.util
Enum PanelIcons.State

    java.lang.Object
      java.lang.Enum<PanelIcons.State>
          org.richfaces.renderkit.util.PanelIcons.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PanelIcons.State>

Enclosing class:
  PanelIcons

    public static enum PanelIcons.State

extends java.lang.Enum<PanelIcons.State>

Enum Constant Summary
`common`
`commonDisabled`
`header`
`headerDisabled`

Method Summary
`abstract java.lang.String` | `getCssClass(PanelIcons icons)`
`static PanelIcons.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PanelIcons.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### common

    public static final PanelIcons.State common

### commonDisabled

    public static final PanelIcons.State commonDisabled

### header

    public static final PanelIcons.State header

### headerDisabled

    public static final PanelIcons.State headerDisabled

Method Detail

### values

    public static PanelIcons.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PanelIcons.State c : PanelIcons.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PanelIcons.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getCssClass

    public abstract java.lang.String getCssClass(PanelIcons icons)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.